XAMPP und open survey pilot (OSP)

Allgemeines Forum zum Thema Apache Friends. Bei Problemen mit XAMPP bitte entweder das Linux- oder das Windows-Forum benutzen. Hier geht's wirklich nur ganz allgemein um Apache Friends.

XAMPP und open survey pilot (OSP)

Postby boppy » 18. October 2004 13:39

Nach einem Artikel in der c't 16/2004 habe ich mir grade das programm "OpenSurveyPilot" von http://osp.serie-a.de/english/ herunter geladen. In der Installation wird eine Hilfe angeboten, wie man das System unter XAMPP installiert und auch, wo man XAMPP findet:

opensurveypilot 1.2.0 Installation Guide for XAMPP


We have tested installations on Windows systems with an installed XAMPP win32 since version 1.0.
You can download the XAMPP package here.



To make the opensurveypilot work you have to do the following steps:

Download and install Xampp.
Extract the opensurveypilot archive.
Move the opensurveypilot directory to xampp/htdocs directory.
Start your Apache and MySQL.
Point your Browser to {your_host}/opensurveypilot/install. The installer appears.
Choose Language and let the Script check your PHP settings.
Most likely you will get warning messages from the install script that your module configuration is not suitable.
Edit the php.ini file of your Xampp in xampp/apache/bin and change the settings in section dynamic extensions regarding the warnings of the install script.
To get the mcrypt and mhash module to work you have to copy the 2 DLLs in the opensurveypilot/install/WINDOWS directory to xamp/apache/bin or windows/system.
Now you have to restart your Apache webserver.
Start the install script again. If everything is ok with your PHP configuration it will continue with the instalation.
If you want to create a new database for the opensurveypilot your MySQL must have permissions on creating databases.
In a later step of the installation some config files will be written. Take care that the webserver has writing permissions on the opensurveypilot directory.
After the installation the opensurveypilot should work on your system. Enjoy!
...in diesem Sinne
yours boppy

Interpunktion und Orthographie dieses Beitrags sind frei erfunden.
Eine Übereinstimmung mit aktuellen oder ehemaligen Regeln wäre rein zufällig und ist nicht beabsichtigt.
User avatar
boppy
AF Moderator
 
Posts: 501
Joined: 27. December 2002 02:15
Location: W-E-City

Postby boppy » 18. October 2004 13:52

Und nu ist mir aufgefallen, dass der XAMPP (1.4.5) eine fehlermeldung zurückgibt, wenn ich bei "mcrypt" das semikolon heraus nehme...

Hmm, ist das dabei oder bin ich mal wieder ein bissel durch den wind?
...in diesem Sinne
yours boppy

Interpunktion und Orthographie dieses Beitrags sind frei erfunden.
Eine Übereinstimmung mit aktuellen oder ehemaligen Regeln wäre rein zufällig und ist nicht beabsichtigt.
User avatar
boppy
AF Moderator
 
Posts: 501
Joined: 27. December 2002 02:15
Location: W-E-City

Postby Wiedmann » 18. October 2004 14:22

Hmm, ist das dabei oder bin ich mal wieder ein bissel durch den wind?

Hi Bobby,

Die Extension "php_mcrypt.dll" ist sowohl bei PHP4 wie bei PHP5 dabei. Allerdings ist bei den orginal Packeten von php.net (und somit beim XAMPP) die erforderliche libmcrypt.dll nicht mit dabei.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to Apache Friends

Who is online

Users browsing this forum: No registered users and 1 guest